package com.rjconsultores.ventaboletos.service;

import java.math.BigDecimal;
import java.util.List;

import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.GP_Pricing;

public interface GP_PricingService extends GenericService<GP_Pricing, Integer> {

	public void borrarFisico(GP_Pricing pricing);

	public List<GP_Pricing> buscar(String nombPricing, Empresa empresa,
			Short cantboleto, Integer cantdiasanticipacion,
			BigDecimal descuentoporcentaje, BigDecimal descuentoporcredondo);

	public List<GP_Pricing> buscarPorNombre(String nombPricing);

	public void inativar(GP_Pricing entidad);

	public void ativar(GP_Pricing entidad);

	public Boolean clonarPricing(Integer pricingId, String nomePricing, boolean incluirPadraoPricingTipoPassagemPET);

	public GP_Pricing clonarGP_Pricing(Integer pricingId, String nomePricing, boolean incluirPadraoPricingTipoPassagemPET, boolean isPricingAtivo);
}
